<?php

namespace Drupal\taxonomy_terms_limit\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\taxonomy\Entity\Vocabulary;

class TaxonomyTermsLimitForm extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'taxonomy_terms_limit_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $vid = \Drupal::routeMatch()->getParameter("taxonomy_vocabulary");
    $vocabulary = Vocabulary::load($vid);
    $limit = $vocabulary->getThirdPartySetting('taxonomy_terms_limit', 'limit');

    $form['limit'] = [
      '#type' => 'textfield',
      '#title' => 'Limit value',
      '#description' => $this->t('Add limit applicable for this taxonomy. Use -1 for unlimited.'),
      '#required' => FALSE,
      '#default_value' => $limit,
    ];

    $form['actions']['submit'] = [
      '#type' => 'submit',
      '#value' => $this->t('Save'),
    ];

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $limit = $form_state->getValue('limit');
    $vid = \Drupal::routeMatch()->getParameter("taxonomy_vocabulary");
    $vocabulary = Vocabulary::load($vid);
    $vocabulary->setThirdPartySetting('taxonomy_terms_limit', 'limit', $limit);
    $vocabulary->save();
  }

}
